# -*- coding: utf-8 -*-

#  Developed by CQ Inversiones SAS. Copyright ©. 2019 - 2022. All rights reserved.
#  Desarrollado por CQ Inversiones SAS. Copyright ©. 2019 - 2022. Todos los derechos reservado

# ****************************************************************
# IDE:          PyCharm
# Developed by: macercha
# Date:         13/12/22 7:50 AM
# Project:      CFHL Transactional Backend
# Module Name:  coffee_price
# Description:
# ****************************************************************
from coffee_price.models import Price
from django.conf import settings
from zibanu.django.rest_framework import serializers


class PriceSerializer(serializers.ModelSerializer):
    """
    Serializer class for Price entity.
    """
    product = serializers.SlugRelatedField(many=False, read_only=True, slug_field="name")
    price = serializers.SerializerMethodField(default=0)

    class Meta:
        """
        Serializer Meta Class
        """
        model = Price
        fields = ("product", "date_from", "date_to", "price")

    def get_price(self, instance):
        """
        Methodfield to return price with load
        :param instance:
        :return:
        """
        if "kg" in self.context:
            price = instance.price
        else:
            price = instance.price * settings.COFFEE_PRICE_KG_BY_LOAD
        return price
