# -*- coding: utf-8 -*-

#  Developed by CQ Inversiones SAS. Copyright ©. 2019 - 2022. All rights reserved.
#  Desarrollado por CQ Inversiones SAS. Copyright ©. 2019 - 2022. Todos los derechos reservado

# ****************************************************************
# IDE:          PyCharm
# Developed by: macercha
# Date:         11/12/22 2:41 PM
# Project:      CFHL Transactional Backend
# Module Name:  coffee_price
# Description:
# ****************************************************************
from coffee_price import models
from coffee_price.lib import serializers
from datetime import datetime
from django.conf import settings
from django.utils import timezone
from rest_framework import status
from rest_framework.response import Response
from rest_framework.viewsets import ViewSet


class CoffeePrice(ViewSet):
    def get_prices_by_load(self, request) -> Response:
        """
        REST service to get a list of prices by coffee load.
        :param request: request data from HTTP
        :return: response data
        """
        # TODO: Remove in stable version.
        if settings.DEBUG:
            now = datetime(2022, 10, 11, 10, 30, tzinfo=timezone.get_default_timezone())
        else:
            now = timezone.now()
        queryset = models.Price.objects.get_products_price_by_date(date_to_search=now)
        serializer = serializers.PriceSerializer(instance=queryset, many=True)
        data = serializer.data

        return Response(status=status.HTTP_200_OK, data=data)


